Bug 140740 - USB2 port Oops
USB2 port Oops
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-24 11:22 EST by Ted Kaczmarek
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:50:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ted Kaczmarek 2004-11-24 11:22:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Drive not accessible, was accessible with kernel-2.6.9-1.667 but that
kernel has other issues. This is an external Iomega Super-DVD drive
being plugged into a Sager laptop. 

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.681_FC3

How reproducible:
Always

Steps to Reproduce:
1. Connect Iomega External Super DVD drive to USB 2 port
2. 
3.
    

Actual Results:  Drive is not recognized

Expected Results:  Drive is recogninzed

Additional info:

ISO 9660 Extensions: RRIP_1991A
usb 1-3: new high speed USB device using address 4
SCSI subsystem initialized
Initializing USB Mass Storage driver...
scsi0 : SCSI emulation for USB Mass Storage devices
  Vendor: IOMEGA    Model: DVDRW4224INQ-D    Rev: A105
  Type:   CD-ROM                             ANSI SCSI revision: 02
USB Mass Storage device found at 4
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
sr0: scsi3-mmc drive: 32x/32x writer dvd-ram cd/rw xa/form2 cdda tray
Attached scsi CD-ROM sr0 at scsi0, channel 0, id 0, lun 0
eth0: Promiscuous mode enabled.
device eth0 entered promiscuous mode
device eth0 left promiscuous mode
spurious 8259A interrupt: IRQ7.
register_vlan_device: ALREADY had VLAN registered
register_vlan_device: ALREADY had VLAN registered
usb 1-3: USB disconnect, address 4
scsi: Device offlined - not ready after error recovery: host 0 channel
0 id 0 lun 0
sr 0:0:0:0: Illegal state transition cancel->offline
Badness in scsi_device_set_state at drivers/scsi/scsi_lib.c:1691
 [<22ae5643>] scsi_device_set_state+0xc8/0xd3 [scsi_mod]
 [<22ae2b8b>] scsi_eh_offline_sdevs+0x49/0x5e [scsi_mod]
 [<22ae3146>] scsi_unjam_host+0x22d/0x23e [scsi_mod]
 [<22ae3291>] scsi_error_handler+0x13a/0x191 [scsi_mod]
 [<0211b669>] schedule_tail+0xc/0x37
 [<22ae3157>] scsi_error_handler+0x0/0x191 [scsi_mod]
 [<021041d9>] kernel_thread_helper+0x5/0xb
Unable to handle kernel NULL pointer dereference at virtual address
00000008
 printing eip:
02250a37
*pde = 00000000
Oops: 0000 [#1]
Modules linked in: smbfs sr_mod usb_storage scsi_mod radeon md5 ipv6
parport_pc lp parport autofs4 eeprom i2c_sensor i2c_sis96x i2c_dev
i2c_core ds sunrpc iptable_filter ip_tables 8021q microcode dm_mod
button battery ac joydev ohci1394 ieee1394 yenta_socket pcmcia_core
ohci_hcd ehci_hcd snd_intel8x0m snd_intel8x0 snd_ac97_codec
snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc gameport
snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore 8139too mii
floppy ext3 jbd
CPU:    0
EIP:    0060:[<02250a37>]    Not tainted VLI
EFLAGS: 00010046   (2.6.9-1.681_FC3)
EIP is at cfq_insert_request+0x45/0xdf
eax: 0367a478   ebx: 1d1fb4b0   ecx: 00000001   edx: 1d1fb4b0
esi: 00000001   edi: 00000000   ebp: 00000000   esp: 106d7efc
ds: 007b   es: 007b   ss: 0068
Process scsi_eh_0 (pid: 3529, threadinfo=106d7000 task=10702cb0)
Stack: 0367a478 0367a478 00000001 1d1fb4b0 00000202 02247213 0367a478
00000001
       1d1fb4b0 022471d5 00000000 02249382 1077c080 105ce000 105ce400
00001057
       22ae3576 1077c080 00000001 1077c080 106d7f74 106d7f74 106d7f7c
22ae2ec8
Call Trace:
 [<02247213>] __elv_add_request+0x3c/0x71
 [<022471d5>] elv_requeue_request+0x29/0x2b
 [<02249382>] blk_insert_request+0xba/0x18b
 [<22ae3576>] scsi_queue_insert+0x84/0x8d [scsi_mod]
 [<22ae2ec8>] scsi_eh_flush_done_q+0x7d/0xce [scsi_mod]
 [<22ae314f>] scsi_unjam_host+0x236/0x23e [scsi_mod]
 [<22ae3291>] scsi_error_handler+0x13a/0x191 [scsi_mod]
 [<0211b669>] schedule_tail+0xc/0x37
 [<22ae3157>] scsi_error_handler+0x0/0x191 [scsi_mod]
 [<021041d9>] kernel_thread_helper+0x5/0xb
Code: 74 29 eb 51 83 f9 03 74 33 eb 4a 8b 04 24 89 fa e8 f8 fa ff ff
85 c0 75 f2 8b 47 08 8b 50 04 89 03 89 58 04 89 1a 89 53 04 eb 3f <8b>
47 08 8b 10 89 5a 04 89 13 89 43 04 89 18 eb 2e f6 42 08 10
 <6>cdrom: open failed.
cdrom: open failed.

 lspci
00:00.0 Host bridge: Silicon Integrated Systems [SiS] SiS645DX Host &
Memory & AGP Controller (rev 01)
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] Virtual
PCI-to-PCI bridge (AGP)
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS962 [MuTIOL
Media IO] (rev 14)
00:02.1 SMBus: Silicon Integrated Systems [SiS] SiS961/2 SMBus Controller
00:02.3 FireWire (IEEE 1394): Silicon Integrated Systems [SiS]
FireWire Controller
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE]
00:02.6 Modem: Silicon Integrated Systems [SiS] AC'97 Modem Controller
(rev a0)
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS]
Sound Controller (rev a0)
00:03.0 USB Controller: Silicon Integrated Systems [SiS] USB 1.0
Controller (rev 0f)
00:03.1 USB Controller: Silicon Integrated Systems [SiS] USB 1.0
Controller (rev 0f)
00:03.2 USB Controller: Silicon Integrated Systems [SiS] USB 1.0
Controller (rev 0f)
00:03.3 USB Controller: Silicon Integrated Systems [SiS] USB 2.0
Controller
00:0a.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
00:0c.0 CardBus bridge: ENE Technology Inc CB1410 Cardbus Controller
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R250 Lf
[Radeon Mobility 9000 M9] (rev 01)
Comment 1 Dave Jones 2005-07-15 14:27:56 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 20:50:27 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.